# <environment>

[This is preliminary documentation and subject to change.]

A set of environment variables.

### Nested Elements:

#### <option>

Deprecated. Environment variable to pass to a program.

Represents an option.

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
name | string | Name of the option. | True
if | bool | Indicates if the option should be passed to the task. If true then the option will be passed; otherwise, skipped. The default is true. | False
unless | bool | Indicates if the option should not be passed to the task. If false then the option will be passed; otherwise, skipped. The default is false. | False
value | string | Value of the option. The default is a null reference (Nothing in Visual Basic). | False

#### </option>

#### <variable>

Environment variable to pass to a program.

Represents an environment variable.

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
name | string | The name of the environment variable. | True
dir | directory | The value for a directory-based environment variable. NAnt will convert it to an absolute path. | False
file | file | The value for a file-based environment variable. NAnt will convert it to an absolute filename. | False
if | bool | Indicates if the environment variable should be passed to the external program. If true then the environment variable will be passed; otherwise, skipped. The default is true. | False
path | <path> | The value for a PATH like environment variable. You can use `:` or `;` as path separators and NAnt will convert it to the platform's local conventions. | False
unless | bool | Indicates if the environment variable should not be passed to the external program. If false then the environment variable will be passed; otherwise, skipped. The default is false. | False
value | string | The literal value for the environment variable. | False

### Nested Elements:

#### <path>

Sets a single environment variable and treats it like a PATH - ensures the right separator for the local platform is used.

#### </path>

#### </variable>

### Requirements

Assembly: NAnt.Core (0.91.3881.0)